#ifndef FRICTIONDATA_HH
#define FRICTIONDATA_HH
#include <dune/common/parametertree.hh>

struct FrictionData {
  FrictionData(Dune::ParameterTree const &parset, double normalStress)
      : L(parset.get<double>("L")),
        V0(parset.get<double>("V0")),
        a(parset.get<double>("a")),
        b(parset.get<double>("b")),
        mu0(parset.get<double>("mu0")),
        mumin(parset.get<double>("mumin")),
        normalStress(normalStress) {}

  double const L;
  double const V0;
  double const a;
  double const b;
  double const mu0;
  double const mumin;
  double const normalStress;
};
#endif
