//#include <iostream>
#include <fstream>

#include <dune/tectonic/frictiondata.hh>

template <class BitVectorType> class FrictionWriter {
public:
  FrictionWriter(FrictionData const &_fd, BitVectorType const &_boundaryNodes);

  ~FrictionWriter();

  template <class SingletonVectorType, class VectorType>
  void writeInfo(SingletonVectorType const &alpha, VectorType const &u,
                 VectorType const &v);

private:
  std::fstream coefficientWriter;
  std::fstream displacementWriter;
  std::fstream stateWriter;
  std::fstream velocityWriter;
  FrictionData const &fd;
  BitVectorType const &boundaryNodes;
};
