#include <cassert>

#include <cmath>

#include "compute_state_ruina.hh"

double state_update_ruina(double tau, double uol, double old_state) {
  if (uol == 0)
    return old_state;

  double const ret = old_state - uol * std::log(uol / tau);
  return ret / (1 + uol);
}
