#ifndef STATE_UPDATER_HH
#define STATE_UPDATER_HH

template <class SingletonVectorType, class VectorType> class StateUpdater {
public:
  virtual void nextTimeStep() = 0;
  virtual void setup(double _tau) = 0;
  virtual void solve(VectorType const &velocity_field) = 0;
  virtual void extractState(SingletonVectorType &state) = 0;
};

#endif
