#ifndef DIM
#error DIM unset
#endif

#include <dune/common/fmatrix.hh>
#include <dune/common/fvector.hh>

#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wignored-qualifiers"
#include <dune/grid/alugrid.hh>
#pragma clang diagnostic pop

#include <dune/istl/bvector.hh>

#include <dune/fufem/functionspacebases/p0basis.hh>
#include <dune/fufem/functionspacebases/p1nodalbasis.hh>

using SingletonVectorType = Dune::BlockVector<Dune::FieldVector<double, 1>>;

using SmallVector = Dune::FieldVector<double, DIM>;
using SmallMatrix = Dune::FieldMatrix<double, DIM, DIM>;
using VectorType = Dune::BlockVector<SmallVector>;

using GridType = Dune::ALUGrid<DIM, DIM, Dune::simplex, Dune::nonconforming>;
using GridView = GridType::LeafGridView;
using P1Basis = P1NodalBasis<GridView, double>;
using MyP0Basis = P0Basis<GridView, double>;

template void writeVtk<P1Basis, MyP0Basis, VectorType, SingletonVectorType>(
    P1Basis const &vertexBasis, VectorType const &displacement,
    SingletonVectorType const &state, MyP0Basis const &cellBasis,
    SingletonVectorType const &stress, std::string const &filename);
